minetest(6)

NAME
minetest - Multiplayer infinite-world block sandbox

SYNOPSIS
minetest [ OPTION ... ]

DESCRIPTION
Minetest is one of the first InfiniMiner/Minecraft(/whatever) inspired games (started October 2010), with a goal of taking the survival multiplayer gameplay to a slightly different direction.

The main design philosophy is to keep it technically simple, stable and portable. It will be kept lightweight enough to run on fairly old hardware.

OPTIONS

--address <value>
    Address to connect to

--config <value>
    Load configuration from specified file

--disable-unittests
    Disable unit tests

--enable-unittests
    Enable unit tests

--gameid <value>
    Set gameid

--go
    Disable main menu

--help
    Show allowed options

--version
    Show version information

--logfile <value>
    Set logfile path (debug.txt)

--map-dir <value>
    Same as --world (deprecated)

--name <value>
    Set player name

--password <value>
    Set password

--port <value>
    Set network port (UDP) to use

--random-input
    Enable random user input, for testing

--server
    Run dedicated server

--speedtests
    Run speed tests

--videomodes
    List available video modes

--info
    Print more information to console

--verbose
    Print even more information to console

--trace
    Print enormous amounts of information to console

--world <value>
    Set world path

--migrate <value>
    Migrate from current map backend to another. Possible values are sqlite3 and leveldb. Only works when using --server.

BUGS
Please report all bugs to Perttu Ahola <celeron55@gmail.com>.

AUTHOR

Perttu Ahola <celeron55@gmail.com> and contributors.

This man page was originally written by Juhani Numminen <juhaninumminen0@gmail.com>.

WWW
http://www.minetest.net/

SEE ALSO
minetestserver(6)